トランザクションにファイルを追加します
curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'Files=<string>' \
--form 'Model={
"files": [
{
"imageProcessingOptions": {},
"index": "<string>",
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}' \
--form Files.items='@example-file'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/files"
files = { "Files.items": ("example-file", open("example-file", "rb")) }
payload = {
"Files": "<string>",
"Model": "{
\"files\": [
{
\"imageProcessingOptions\": {},
\"index\": \"<string>\",
\"registrationParameters\": [
{
\"key\": \"<string>\",
\"value\": \"<string>\"
}
]
}
]
}"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('Files', '<string>');
form.append('Model', '{
"files": [
{
"imageProcessingOptions": {},
"index": "<string>",
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}');
form.append('Files.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}Transactions
トランザクションにファイルを追加します
指定されたトランザクションで処理するファイル一式をアップロードします。 処理対象ファイルの合計サイズは 2 GB を超えてはなりません。 Process skill の場合、1 トランザクションあたりのファイル数は 1000 を超えてはなりません。
POST
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
files
トランザクションにファイルを追加します
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
トランザクション識別子。トランザクションが正常に作成されると、レスポンスで受け取ります。
ボディ
multipart/form-data
レスポンス
ファイルをトランザクションに追加しました
このページは役に立ちましたか?
⌘I
